com.amazonaws.services.simpleworkflow.model

## Class DecisionTaskCompletedEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.DecisionTaskCompletedEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class DecisionTaskCompletedEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `DecisionTaskCompleted` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DecisionTaskCompletedEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DecisionTaskCompletedEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getExecutionContext()` User defined context for the workflow execution.
`Long` `getScheduledEventId()` The ID of the `DecisionTaskScheduled` event that was recorded when this decision task was scheduled.
`Long` `getStartedEventId()` The ID of the `DecisionTaskStarted` event recorded when this decision task was started.
`int` `hashCode()`
`void` `setExecutionContext(String executionContext)` User defined context for the workflow execution.
`void` `setScheduledEventId(Long scheduledEventId)` The ID of the `DecisionTaskScheduled` event that was recorded when this decision task was scheduled.
`void` `setStartedEventId(Long startedEventId)` The ID of the `DecisionTaskStarted` event recorded when this decision task was started.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DecisionTaskCompletedEventAttributes` `withExecutionContext(String executionContext)` User defined context for the workflow execution.
`DecisionTaskCompletedEventAttributes` `withScheduledEventId(Long scheduledEventId)` The ID of the `DecisionTaskScheduled` event that was recorded when this decision task was scheduled.
`DecisionTaskCompletedEventAttributes` `withStartedEventId(Long startedEventId)` The ID of the `DecisionTaskStarted` event recorded when this decision task was started.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DecisionTaskCompletedEventAttributes

    public DecisionTaskCompletedEventAttributes()

### Method Detail

#### setExecutionContext

    public void setExecutionContext(String executionContext)

User defined context for the workflow execution.

Parameters:
  `executionContext` - User defined context for the workflow execution.

#### getExecutionContext

    public String getExecutionContext()

User defined context for the workflow execution.

Returns:
  User defined context for the workflow execution.

#### withExecutionContext

    public DecisionTaskCompletedEventAttributes withExecutionContext(String executionContext)

User defined context for the workflow execution.

Parameters:
  `executionContext` - User defined context for the workflow execution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setScheduledEventId

    public void setScheduledEventId(Long scheduledEventId)

The ID of the `DecisionTaskScheduled` event that was recorded when this decision task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `scheduledEventId` - The ID of the `DecisionTaskScheduled` event that was recorded when this decision task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getScheduledEventId

    public Long getScheduledEventId()

The ID of the `DecisionTaskScheduled` event that was recorded when this decision task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `DecisionTaskScheduled` event that was recorded when this decision task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withScheduledEventId

    public DecisionTaskCompletedEventAttributes withScheduledEventId(Long scheduledEventId)

The ID of the `DecisionTaskScheduled` event that was recorded when this decision task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `scheduledEventId` - The ID of the `DecisionTaskScheduled` event that was recorded when this decision task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartedEventId

    public void setStartedEventId(Long startedEventId)

The ID of the `DecisionTaskStarted` event recorded when this decision task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `startedEventId` - The ID of the `DecisionTaskStarted` event recorded when this decision task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getStartedEventId

    public Long getStartedEventId()

The ID of the `DecisionTaskStarted` event recorded when this decision task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `DecisionTaskStarted` event recorded when this decision task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withStartedEventId

    public DecisionTaskCompletedEventAttributes withStartedEventId(Long startedEventId)

The ID of the `DecisionTaskStarted` event recorded when this decision task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `startedEventId` - The ID of the `DecisionTaskStarted` event recorded when this decision task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DecisionTaskCompletedEventAttributes clone()

Overrides:
  `clone` in class `Object`